Create an experiment
Authorization
BearerApiKey AuthorizationBearer <token>
API key from workspace settings
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/experiments" \ -H "Content-Type: application/json" \ -d '{ "aiComponentId": "5019a7c9-87f7-404d-b382-86b29517165e", "targetModel": "string", "provider": "openai", "taskType": "classification", "optimizer": "prompticV2", "promptFormat": "single", "hyperparameters": { "epochs": 3, "numFewShots": 8 } }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"targetModel": "string",
"provider": "string",
"aiComponentId": "5019a7c9-87f7-404d-b382-86b29517165e",
"taskType": "string",
"optimizer": "string",
"experimentStatus": "string",
"promptFormat": "string",
"initialPromptMessages": [
{
"role": "string",
"content": "string"
}
],
"inputVariables": [
{
"name": "string",
"column": "string"
}
],
"hyperparameters": {
"epochs": 0,
"numFewShots": 0,
"trainSplitRatio": 0
},
"createdAt": "string",
"updatedAt": "string"
}{
"error": "string"
}